Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser.py
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser.py	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser.py	(revision 7447)
@@ -32,4 +32,5 @@
     )
 from waeup.sirp.accesscodes.catalog import search
+from waeup.sirp.browser.layout import action
 
 grok.context(ISIRPObject)
@@ -66,5 +67,5 @@
     grok.require('waeup.manageACBatches')
 
-    title = 'Create Access Code Batch'
+    label = 'Create Access Code Batch'
     pnav = 0
 
@@ -72,10 +73,10 @@
         'prefix', 'entry_num', 'cost')
 
-    @grok.action('Cancel')
+    @action('Cancel')
     def cancel(self, *args, **kw):
         self.flash('Batch creation cancelled.')
         self.redirect(self.url(self.context))
 
-    @grok.action('Create batch')
+    @action('Create batch')
     def createBatch(self, **data):
         creator = self.request.principal.id
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/admintaskacbatches.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/admintaskacbatches.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/admintaskacbatches.pt	(revision 7447)
@@ -2,4 +2,4 @@
 <a href=""
    tal:attributes="href viewlet/link_target"
-   tal:content="viewlet/link_title">Manage Users</a>
+   tal:content="viewlet/link_title">Manage</a>
 </p>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt	(revision 7447)
@@ -15,6 +15,5 @@
     </thead>
     <tbody>
-      <tr tal:repeat="batch context/values"
-    tal:attributes="class python: repeat['batch'].odd() and 'even' or 'odd'">
+      <tr tal:repeat="batch context/values">
   <td>
     <input type="checkbox" name="batches" value="batch/prefix"
@@ -42,5 +41,5 @@
     </tbody>
   </table>
-  <input type="submit" name="archive" value="Archive" />
-  <input type="submit" name="delete" value="Archive and Delete" />
+  <input type="submit" class="btn" name="archive" value="Archive" />
+  <input type="submit" class="btn" name="delete" value="Archive and Delete" />
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7447)
@@ -1,6 +1,4 @@
 <h3>Reimport Access Code Batches</h3>
-<p>
-  Please select the files to reimport. Please note, that batches with
-  same name have to be deleted before.
+<p> Please select the files to reimport. Please note, that batches with  same name have to be deleted before.
 </p>
 <form method="POST">
@@ -8,24 +6,21 @@
     <thead>
       <tr>
-        <th>&nbsp;</th>
-  <th>File</th>
+        <th>&nbsp;
+        </th>
+        <th>File
+        </th>
       </tr>
     </thead>
     <tbody>
-      <tr tal:repeat="filename context/getImportFiles"
-    tal:attributes="class python: repeat['filename'].odd() and 'even' or 'odd'">
-  <td>
-    <input type="checkbox" name="filenames" value="filename"
-     tal:attributes="value filename" />
-  </td>
-  <td tal:content="filename">file.name</td>
+      <tr tal:repeat="filename context/getImportFiles"  tal:attributes="class python: repeat['filename'].odd() and 'even' or 'odd'"> <td>
+          <input type="checkbox" name="filenames" value="filename"  tal:attributes="value filename" /> </td>
+        <td tal:content="filename">file.name</td>
       </tr>
       <tr tal:condition="python: len(list(context.getImportFiles())) == 0">
-  <td colspan="5"><b>No import batches available</b></td>
+        <td colspan="5"><b>No import batches available</b></td>
       </tr>
     </tbody>
   </table>
-
-  <input type="submit" name="cancel" value="Cancel" />
-  <input type="submit" name="reimport" value="Reimport" />
+  <input type="submit" class="btn primary" name="reimport" value="Reimport" />
+  <input type="submit" class="btn" name="cancel" value="Cancel" />
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 <br />
 
-  <input type="submit" name="search" value="Search" />
+  <input type="submit" class="btn primary" name="search" value="Search" />
   for access codes
 
@@ -46,7 +46,7 @@
       </tbody>
     </table>
-    <div class="actionButtons">
-        <input type="submit" name="disable" value="Disable ACs" />
-        <input type="submit" name="enable" value="Enable ACs" />
+    <div>
+      <input type="submit" class="btn" name="disable" value="Disable ACs" />
+      <input type="submit" class="btn" name="enable" value="Enable ACs" />
     </div>
 
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7447)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <h2 i18n:translate=""
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/layout.py
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/layout.py	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/layout.py	(revision 7447)
@@ -162,10 +162,12 @@
     def setUpWidgets(self,ignore_request=False):
         super(SIRPForm,self).setUpWidgets(ignore_request)
+        # Width parameters will be overridden by Bootstrap
+        # so we have to set the css class
         if self.widgets.get('subject'):
-            self.widgets['subject'].displayWidth = 45
+            self.widgets['subject'].cssClass = 'span9'
         if self.widgets.get('body'):
             self.widgets['body'].height = 10
         if self.widgets.get('body'):
-            self.widgets['body'].width = 35
+            self.widgets['body'].cssClass = 'span9'
 
 class SIRPPage(UtilityView,Page):
@@ -188,10 +190,16 @@
     def setUpWidgets(self,ignore_request=False):
         super(SIRPEditFormPage,self).setUpWidgets(ignore_request)
+        for widget in self.widgets:
+            if widget.__class__.__name__ == 'TextWidget':
+                widget.cssClass = 'span8'
+            elif widget.__class__.__name__ == 'IntWidget':
+                widget.cssClass = 'span2'
+        #import pdb; pdb.set_trace()
         if self.widgets.get('title'):
-            self.widgets['title'].displayWidth = 80
+            self.widgets['title'].cssClass = 'span12'
         if self.widgets.get('frontpage'):
-            self.widgets['frontpage'].width = 70
+            self.widgets['frontpage'].cssClass = 'span12'
         if self.widgets.get('phone'):
-            self.widgets['phone'].displayWidth = 13
+            self.widgets['phone'].cssClass = 'span4'
         if self.widgets.get('notice'):
             self.widgets['notice'].height = 3
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7447)
@@ -19,12 +19,4 @@
 }
 
-.form-table {
-  width: 100%;
-}
-
-.fieldname {
-  width: 25%;
-}
-
 .form-table td {
   padding: 5px 5px 4px;
@@ -36,4 +28,8 @@
 }
 
+select {
+  width: 180px;
+}
+
 
  /* dataTables stuff */
@@ -43,2 +39,12 @@
   margin-bottom: 50px;
 }
+
+ /* SIRP stuff */
+
+.form-table {
+  width: 100%;
+}
+
+.fieldname {
+  width: 25%;
+}
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7447)
@@ -13,9 +13,4 @@
         Form status summary
       </span>
-      <ul tal:condition="view/errors">
-        <li tal:repeat="error view/error_views">
-           <span tal:replace="structure error">Error Type</span>
-        </li>
-      </ul>
   </div>
 
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser.py
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser.py	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser.py	(revision 7447)
@@ -29,5 +29,5 @@
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, PrimaryNavTab)
-from waeup.sirp.browser.layout import jsaction, JSAction
+from waeup.sirp.browser.layout import jsaction, action
 from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
@@ -141,5 +141,5 @@
         return
 
-    @grok.action('Add hostel', validator=NullValidator)
+    @action('Add hostel', validator=NullValidator)
     def addSubunit(self, **data):
         self.redirect(self.url(self.context, 'addhostel'))
@@ -158,5 +158,5 @@
     pnav = 5
 
-    @grok.action('Create hostel')
+    @action('Create hostel')
     def addHostel(self, **data):
         hostel = Hostel()
@@ -230,10 +230,10 @@
         return
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         msave(self, **data)
         return
 
-    @grok.action('Update all beds')
+    @action('Update all beds')
     def updateBeds(self, **data):
         removed, added, modified, modified_beds = self.context.updateBeds()
@@ -245,5 +245,5 @@
         return
 
-    @grok.action('Switch reservation of selected beds')
+    @action('Switch reservation of selected beds')
     def switchReservations(self, **data):
         form = self.request.form
@@ -273,5 +273,5 @@
         return
 
-    @grok.action('Release selected beds')
+    @action('Release selected beds')
     def releaseBeds(self, **data):
         form = self.request.form
@@ -316,5 +316,5 @@
             self.context.__parent__.hostel_name, co[1], co[2], co[3])
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         msave(self, **data)
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7447)
@@ -1,9 +1,9 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="form-status" tal:define="status view/status" tal:condition="status"> Form Status:
+<div class="alert-message error" tal:define="status view/status" tal:condition="status"> Form Status:
   <span i18n:translate="" tal:content="view/status"> Form status summary
   </span>
 </div>
-<form action="." tal:attributes="action request/URL" method="POST" class="edit-form" enctype="multipart/form-data">
-  <table class="zebra">
+<form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
+  <table>
     <thead>
       <tr>
@@ -25,5 +25,5 @@
     </tbody>
   </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions" tal:omit-tag="">
       <input tal:replace="structure action/render"/>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/containerpage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/containerpage.pt	(revision 7447)
@@ -5,5 +5,5 @@
 </div>
 
-<table class="zebra">
+<table>
   <thead>
     <tr>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7447)
@@ -3,5 +3,5 @@
   tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
       tal:define="status view/status"
       tal:condition="status">
@@ -18,24 +18,22 @@
 
   <form action="." tal:attributes="action request/URL" method="POST"
-        class="edit-form" enctype="multipart/form-data">
+        enctype="multipart/form-data">
 
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Hostel Data</span></a></li>
-      <li><a href="#tab-2"><span>Beds</span></a></li>
-    </ul>
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Hostel Data</span></a></li>
+    <li><a href="#tab-2"><span>Beds</span></a></li>
+  </ul>
 
-    <div id="tab-1">
-      <table class="zebra">
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
       <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
-          <td class="field">
+          <td>
             <span class="widget" tal:content="structure widget">
               <input type="text" />
@@ -45,5 +43,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -52,5 +50,5 @@
       </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
               tal:omit-tag="">
@@ -97,5 +95,5 @@
       </table>
 
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
               tal:omit-tag="">
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7447)
@@ -754,4 +754,5 @@
         except KeyError:
             self.flash('This level exists.')
+        self.flash('Study level has been added.')
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')
         return
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7447)
@@ -4,5 +4,5 @@
 <br />
 
-  <input type="submit" name="search" value="Search" />
+  <input class="btn primary" type="submit" name="search" value="Search" />
   for students
 
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studenthistory.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studenthistory.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studenthistory.pt	(revision 7447)
@@ -3,7 +3,9 @@
     tal:content="view/label">Label</h2>
 
-<div class="workflow">
+<div class="alert-message block-message success">
+  <font face="Courier">
   <div tal:repeat="msg context/history/messages">
-    <span tal:replace="msg">message</span><br />
+    <span tal:replace="msg">message</span>
   </div>
+  </font>
 </div>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,100 +13,95 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Study Course Data</span></a></li>
-  <li><a href="#tab-2"><span>Study Levels</span></a></li>
-</ul>
-   
-<div id="tab-1">        
-  <table class="zebra">
-  <tbody>
-  <tal:block repeat="widget view/widgets">
-    <tr>
-      <td class="label">
-        <label tal:attributes="for widget/name">
-          <span class="required" tal:condition="widget/required">*</span>
-          <span i18n:translate="" tal:content="widget/label">label</span>:
-        </label>
-      </td>
-      <td class="field">
-        <span class="widget" tal:content="structure widget">
-          <input type="text" />
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Study Course Data</span></a></li>
+    <li><a href="#tab-2"><span>Study Levels</span></a></li>
+  </ul>
+
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
+      <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
+          </td>
+          <td>
+            <span tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span tal:content="structure widget/hint">hint</span>
+            </tal:hint>
+          </td>
+        </tr>
+      </tal:block>
+      </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
-        <tal:error tal:condition="widget/error">
-          <span tal:replace="structure widget/error">error</span>
-        </tal:error>
-        <tal:hint tal:condition="widget/hint">
-          <span class="hint" tal:content="structure widget/hint">hint</span>
-        </tal:hint>
-      </td>
-    </tr>
-  </tal:block>
-  </tbody>
-  </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.taboneactions"
-             tal:replace="structure action/render"/>
-    </span>
+      </div>
+    </div>
+
+    <div id="tab-2">
+      <h3>Study Levels (Course Lists)</h3>
+      <table class="display dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;</th><th>Level Code</th><th>Level Title</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="cl context/values">
+             <td>
+              <input type="checkbox"
+        		 name="val_id"
+        		 tal:attributes="value cl/__name__" />
+            </td>
+            <td> <a tal:attributes="href cl/__name__">
+              <span tal:content="cl/level">CODE</span></a>
+            </td>
+            <td>
+              <span tal:content="cl/level_title">TITLE</span>
+            </td>
+          </tr>
+        </tbody>
+      </table>
+
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+      <br /><br /><br />
+      <div>
+        <span tal:condition="view/availableActions">
+          <span tal:repeat="action view/actions"
+                tal:omit-tag="">
+            <input tal:condition="python:action.label in view.tabthreeactions"
+                   tal:replace="structure action/render"/>
+          </span>
+        </span>
+        <select id="addlevel" name="addlevel">
+          <option tal:attributes="value level/code" tal:repeat="level view/level_dict">
+            <span tal:replace="level/title">LEVELTITLE
+          </span>
+          </option>
+        </select>
+      </div>
+    </div>
   </div>
-</div>    
-    
-<div id="tab-2">
-  <h3>Study Levels (Course Lists)</h3>
-  <table class="display dataTableManage">
-    <thead>
-      <tr>
-        <th>&nbsp;</th><th>Level Code</th><th>Level Title</th>
-      </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="cl context/values">
-         <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value cl/__name__" />
-        </td>
-        <td> <a tal:attributes="href cl/__name__">
-          <span tal:content="cl/level">CODE</span></a>
-        </td>
-        <td>
-          <span tal:content="cl/level_title">TITLE</span>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.tabtwoactions"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-  <br /><br /><br />
-  <div>
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <span tal:repeat="action view/actions"
-            tal:omit-tag="">
-        <input tal:condition="python:action.label in view.tabthreeactions"
-               tal:replace="structure action/render"/>
-      </span>
-    </span>
-    <select id="addlevel" name="addlevel">
-      <option tal:attributes="value level/code" tal:repeat="level view/level_dict">
-        <span tal:replace="level/title">LEVELTITLE
-      </span>
-      </option>
-    </select>
-  </div>
-
-
-
-</div>
-</div>
 </form>  
 
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7447)
@@ -1,5 +1,5 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
+<table class="form-table">
 <thead>
 </thead>
@@ -7,11 +7,8 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
-        </label>
+      <td class="filedname">
+        <span i18n:translate="" tal:content="widget/label">label</span>:
       </td>
-      <td class="field" tal:on-error="default">
+      <td tal:on-error="default">
         <div class="widget" tal:content="structure widget">
           <input type="text" />
@@ -22,7 +19,5 @@
     <tr>
       <td>
-        <label>
           Study Mode:
-        </label>
       </td>
       <td class="field">
@@ -34,7 +29,5 @@
     <tr tal:condition="python: view.department is not None">
       <td>
-        <label>
           Department:
-        </label>
       </td>
       <td class="field">
@@ -47,7 +40,5 @@
     <tr tal:condition="python: view.faculty is not None">
       <td>
-        <label>
           Faculty:
-        </label>
       </td>
       <td class="field">
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
   <p>Text to explain course registration procedure.</p>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
   <h3>Course Tickets (Total Credits: <span tal:replace="view/total_credits">TOTAL</span>)</h3>
@@ -49,5 +49,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,95 +13,93 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Study Level Data</span></a></li>
-  <li><a href="#tab-2"><span>Course Tickets</span></a></li>
-</ul>
-   
-<div id="tab-1">        
-  <table class="zebra">
-  <tbody>
-  <tal:block repeat="widget view/widgets">
-    <tr>
-      <td class="label">
-        <label tal:attributes="for widget/name">
-          <span class="required" tal:condition="widget/required">*</span>
-          <span i18n:translate="" tal:content="widget/label">label</span>:
-        </label>
-      </td>
-      <td class="field">
-        <span class="widget" tal:content="structure widget">
-          <input type="text" />
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Study Level Data</span></a></li>
+    <li><a href="#tab-2"><span>Course Tickets</span></a></li>
+  </ul>
+
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
+      <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
+          </td>
+          <td>
+            <span tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span tal:content="structure widget/hint">hint</span>
+            </tal:hint>
+          </td>
+        </tr>
+      </tal:block>
+      </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
-        <tal:error tal:condition="widget/error">
-          <span tal:replace="structure widget/error">error</span>
-        </tal:error>
-        <tal:hint tal:condition="widget/hint">
-          <span class="hint" tal:content="structure widget/hint">hint</span>
-        </tal:hint>
-      </td>
-    </tr>
-  </tal:block>
-  </tbody>
-  </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.taboneactions"
-             tal:replace="structure action/render"/>
-    </span>
+      </div>
+    </div>
+
+    <div id="tab-2">
+      <h3>Course Tickets</h3>
+      <table class="display dataTableManage">
+      <thead>
+        <tr>
+          <th>&nbsp;</th>
+          <th>Sem.</th>
+          <th>Code</th>
+          <th>Title</th>
+          <th>Department</th>
+          <th>Faculty</th>
+          <th>Credits</th>
+          <th>Mandatory</th>
+          <th>Score</th>
+          <th>Auto</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="value context/values">
+          <td>
+            <input type="checkbox" name="val_id"
+      		  tal:attributes="value value/__name__" />
+          </td>
+          <td tal:content="value/semester">SEMESTER</td>
+          <td> <a tal:attributes="href value/__name__">
+          <span tal:content="value/code">CODE</span>
+          </a></td>
+          <td tal:content="value/title">TITLE</td>
+          <td tal:content="value/department">DEPARTMENT</td>
+          <td tal:content="value/faculty">FACULTY</td>
+          <td tal:content="value/credits">CREDITS</td>
+          <td tal:content="value/core_or_elective">MANDATORY</td>
+          <td tal:content="value/score">SCORE</td>
+          <td tal:content="value/automatic">AUTO</td>
+        </tr>
+      </tbody>
+      </table>
+
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+
+    </div>
   </div>
-</div>    
-    
-<div id="tab-2">
-  <h3>Course Tickets</h3>
-  <table class="display dataTableManage">
-  <thead>
-    <tr>
-      <th>&nbsp;</th>
-      <th>Sem.</th>
-      <th>Code</th>
-      <th>Title</th>
-      <th>Department</th>
-      <th>Faculty</th>
-      <th>Credits</th>
-      <th>Mandatory</th>
-      <th>Score</th>
-      <th>Auto</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="value context/values">
-      <td>
-        <input type="checkbox" name="val_id"
-  		  tal:attributes="value value/__name__" />
-      </td>
-      <td tal:content="value/semester">SEMESTER</td>
-      <td> <a tal:attributes="href value/__name__">
-      <span tal:content="value/code">CODE</span>
-      </a></td>
-      <td tal:content="value/title">TITLE</td>
-      <td tal:content="value/department">DEPARTMENT</td>
-      <td tal:content="value/faculty">FACULTY</td>
-      <td tal:content="value/credits">CREDITS</td>
-      <td tal:content="value/core_or_elective">MANDATORY</td>
-      <td tal:content="value/score">SCORE</td>
-      <td tal:content="value/automatic">AUTO</td>
-    </tr>
-  </tbody>
-  </table>
-
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.tabtwoactions"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-
-</div>
-</div>
 </form>  
 
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7446)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7447)
@@ -1,5 +1,5 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
+<table class="form-table">
 <thead>
 </thead>
@@ -7,11 +7,8 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
-        </label>
+      <td class="fieldname">
+        <span i18n:translate="" tal:content="widget/label">label</span>:
       </td>
-      <td class="field" tal:on-error="default">
+      <td tal:on-error="default">
         <div class="widget" tal:content="structure widget">
           <input type="text" />
@@ -22,5 +19,5 @@
   <tr>
     <td>
-      <label>Total Credits:</label>
+      Total Credits:
     </td>
     <td>
